Subject: [dtn-users] DTN2.9 performance imprevement patches

From: "Zoller, David A. (MSFC-EO50)[HOSC SERVICES CONTRACT]" <[email-masked]>
Date: Thu, 28 Mar 2013 13:28:41 -0500

Elwyn,
The patches were started using 2.8 with the final touches made after upgrading recently to the 2.9 version so they don't have a long running history yet. These patches are fairly wide reaching so I cannot say positively that nothing was inadvertently broken. Watching the mailing list, I recently learned that the test-utils component is needed for the tcl tests so I'll pull that to see if those tests run properly. 

As for general performance on the systems I was using, the 2.8 baseline could not sustain a 40 bundle per second input for 20 minutes, halted other processing when a link connected while it transferred accumulated bundles and aborted if more than 64K bundles were ready for delivery when a registration connected. In my testing, the patches overcome all of the above while running at 160 bundles per second. I admit that I have not run the same test with the 2.9 baseline but have not seen any other patches targeting any of this either. 

I have not seen an overwhelming interest in the patches so I don't know if there is much desire to incorporate them as is. If nothing else there may be some ideas hidden in there that might be pulled out and improved upon. I'd be happy to accept some direction and/or help vetting the patches...

Regards,
DZ

David Zoller
COLSA Corporation
Marshall Space Flight Center

-----Original Message-----
From: Elwyn Davies [mailto:[email-masked]] 
Sent: Thursday, March 28, 2013 10:36 AM
To: Zoller, David A. (MSFC-EO50)[HOSC SERVICES CONTRACT]
Cc: yuanp; [email-masked]
Subject: Re: [dtn-users] Error in compiling DTN2 (2.9.0x - not the official version)

OK.

Yes.. the official version should be OK but also ought to be fixed up.

What is the status of the patches - Are they sufficiently stable to include in the main line code now? Do you have any figures for what the performance improvements have done to make thinsg better?

I'll talk to Alex about getting these merged into Sourceforge.

Regards,
Elwyn

On Thu, 2013-03-28 at 09:49 -0500, Zoller, David A. (MSFC-EO50)[HOSC SERVICES CONTRACT] wrote:
> Hi again,

> Elwyn - I was able to verify that the official DTN2 version still 
> compiles correctly with the external convergence layer enabled.
> 
> Sorry for the confusion,
> 
> DZ
> 
>  
> 
> David Zoller
> 
> COLSA Corporation
> 
> Marshall Space Flight Center